module.exports = {
    "parser": "espree",
    "env": {
        "es6": true,
        "node": true,
        "browser": false
    },
    "extends": "./node_modules/@backend/eslint-config-softartel-base/.eslintrc.json",
    "parserOptions": {
        "ecmaVersion": 2018,
        "sourceType": "module"
    },
    "rules": {
        "no-continue": "off",
        "no-await-in-loop": "off",
        "no-return-await": "off",
        "no-underscore-dangle": "off",
        "guard-for-in": "off",
        "no-restricted-syntax": "off",
        "no-param-reassign": "off",

        // "max-len": ["error", 200],
        "import/no-unresolved": "off",
        "global-require": "off",
        "no-restricted-properties": "off",
        "default-case": "off",
        "no-nested-ternary": "off",
        "no-prototype-builtins": "off",
        "no-use-before-define": "off",

        "import/no-dynamic-require": "off",
        "class-methods-use-this": "off",

        // Может так и оставить?
        "arrow-parens": "off",
        "no-plusplus": "off",
        //"array-bracket-spacing": "off",

        // "quotes": ["error", "single"],
        // "eqeqeq": "error",
        // "padded-blocks": ["error", "never"],
        // "brace-style": ["error", "1tbs"],
        // "no-multi-spaces": "error",
        // "no-path-concat": "error",
        // "no-multi-str": "error",
        // "no-multiple-empty-lines": ["error", {"max": 1}],
        // "key-spacing": ["error", { "mode": "strict" }],
        // "quote-props": ["error", "as-needed"],
        "eol-last": ["error", "unix"],
        // "computed-property-spacing": ["error", "never"],
        // "no-empty": "error",
        // "one-var-declaration-per-line": ["error", "always"],
        // "one-var": ["error", "never"],
        // "block-scoped-var": "error",
        // "space-before-blocks": "error",
        // "no-inner-declarations": "error",
        // "comma-dangle": ["error", "never"],
        "padding-line-between-statements": [
            "error",
            { "blankLine": "always", "prev": "*", "next": "return" },
            { "blankLine": "always", "prev": "*", "next": "block-like" },
            { "blankLine": "always", "prev": "block-like", "next": "*" },
            { "blankLine": "always", "prev": "*", "next": "cjs-export" },
            { "blankLine": "always", "prev": "cjs-export", "next": "*" },
            { "blankLine": "always", "prev": "*", "next": "class" },
            { "blankLine": "always", "prev": "class", "next": "*" }
        ],

        // "object-curly-newline": [
        //   "error", {
        //     "consistent": true
        //   }
        // ],
        // "keyword-spacing": ["error", {
        //     "before": true,
        //     "after": true
        // }],

        "no-unused-expressions": "off",
        "nonblock-statement-body-position": "off",
        "no-else-return": "off",
        // "import/no-extraneous-dependencies": ["error", {"devDependencies": true}]
    }
};
